(function($, doc) {
	
	$.init();
	
	$.plusReady(function() {
		
		var setUserInfo = function(user, roleViews) {
			var userName = doc.getElementById("userName");
			userName.innerText = user ? user.name : "";
			
			var nickName = doc.getElementById("nickName");
			nickName.innerText = user ? user.nickName : "";
			
			var email = doc.getElementById("email");
			email.innerText = user ? user.email : "";
			
			var divRoleViews = doc.getElementById("roleViews");
			divRoleViews.innerHTML = "";//清空所有子元素
			if (roleViews) {
				var tmpHtml = "";
				for (var i=0; i<roleViews.length; i++) {
					var roleView = roleViews[i];
					tmpHtml += "<div class='mui-input-row'><label></label><span>"+roleView.name+"</span>";
				}//for
				divRoleViews.innerHTML = tmpHtml;
			}//if
		}//function
		
		app.getUserInfo(setUserInfo);
		
	});
	
}(mui, document));