

(function($, doc) {
	
	$.init();
	
	$.plusReady(function() {
		
		var pageSize = 5;
		var pageIndex = 1;
		var total = 5;
		var totalPage = Math.ceil(total / pageSize);
		//alert(totalPage);
		var btnPrev = doc.getElementById('prev');
		var btnLoc = doc.getElementById('toPage');
		var btnNext = doc.getElementById('next');
		
		if ((pageIndex <= 1) && (!btnPrev.classList.contains('mui-disabled'))) {
			//alert('disable prev');
			btnPrev.classList.add("mui-disabled");
		}
		
		if ((pageIndex >= totalPage) && (!btnNext.classList.contains('mui-disabled'))) {
			//alert('disable next');
			btnNext.classList.add("mui-disabled");
		}
		
		var popKb = new $.PopKb({
			min : 0.0,
			max : 100.0
		});
		
		var tapItem = function(event) {
			var objId = this.firstElementChild;
			//var id = this.firstElementChild.getAttribute('value');
			var objLabel = objId.nextElementSibling;
			popKb.setTitle(objLabel.innerText);
			var objScore = objLabel.nextElementSibling;
			popKb.setData(objScore.innerText);
			popKb.show(function(value) {
				objScore.innerText = value;
			});
		};
		
		//var ele = doc.getElementById('test');
		mui(".mui-table-view").on('tap','.mui-table-view-cell', tapItem);
		//ele.addEventListener("tap", tapItem);
		
	});
	
}(mui, document));