

(function($, doc) {
	
	$.init();
	
	$.plusReady(function() {
		
		var popRating = new $.PopRating();
		
		var tapItem = function(event) {
			var objId = this.firstElementChild;
			var levelId = objId.nextElementSibling;
			var objLabel = levelId.nextElementSibling;
			popRating.setTitle(objLabel.innerText);
			var objLevel = objLabel.nextElementSibling;
			popRating.setData(objLevel.innerText);
			popRating.show(function(value) {
				objLevel.innerText = value;
				levelId.setAttribute("value", popRating.getLevelId(value));
			});
		};
		
		mui(".mui-table-view").on('tap','.mui-table-view-cell', tapItem);
		
	});
	
}(mui, document));