var pages = ['pages/home.html', 'pages/score.html', 'pages/me.html'];
var pageStyles = { top: '0px', bottom: '50px' };
var activeTab = null;

(function($, doc) {
	
	$.init();
	
	var showPage = function(targetTab) {
		if (targetTab == activeTab) {
            return;
        }
		plus.webview.hide(activeTab);
        plus.webview.show(targetTab);
		activeTab = targetTab;
		
		var tmpPage = plus.webview.getWebviewById(activeTab);
		if (tmpPage)
			mui.fire(tmpPage, 'show', null);
	}
	 
	$.plusReady(function() {

		var view = plus.webview.currentWebview();
		for (index in pages) {
			var subView = plus.webview.create(pages[index], pages[index], pageStyles);
	        view.append(subView);
		}
		showPage(pages[0]);
		
		mui('.mui-bar-tab').on('tap', 'a', function(e) {
			showPage(this.getAttribute('href'));
		});
		
	});
	
}(mui, document));

/*
function plusReady(){
}

if(window.plus){
	plusReady();
}else{
	document.addEventListener('plusready',plusReady,false);
}	
*/